at.chipkarte.client.elgaad.soap.constants

## Class HL7ChildRoleType

- Object
- - at.chipkarte.client.elgaad.soap.constants.HL7ChildRoleType

-     public class HL7ChildRoleType
      extends Object

  Konstanten für die Teile eines zusammengsetzten Werts (siehe `HL7CompoundType`).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CODE` Codewert eines Codes.
    `static String` | `CODE_SYSTEM` Codierungssystem eines Codes.
    `static String` | `CODE_SYSTEM_NAME` Anzeigename eines Codierungssystems.
    `static String` | `CODE_SYSTEM_VERSION` Version eines Codierungssystems.
    `static String` | `DENOMINATOR` Nenner eines Bruchs.
    `static String` | `DISPLAY_NAME` Anzeigename eines Codes.
    `static String` | `HIGH` Obere Grenze eines Intervalls (`HL7CompoundType.INTERVAL`) - vom Typ `HL7CompoundType.BOUNDED`.
    `static String` | `INCLUSIVE` Gibt an, ob ein Wert zu einem Intervall gehört.
    `static String` | `LOW` Untere Grenze eines Intervalls (`HL7CompoundType.INTERVAL`) - vom Typ `HL7CompoundType.BOUNDED`.
    `static String` | `NUMERATOR` Zähler eines Bruchs.
    `static String` | `UNIT` Einheit in einem Wert/Einheit-Paar (z.B. g, ml,...)
    `static String` | `VALUE` Ein Wert (bei zusammengesetzten Typen wie z.B.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HL7ChildRoleType()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VALUE

          public static final String VALUE

      Ein Wert (bei zusammengesetzten Typen wie z.B. `HL7CompoundType.BOUNDED` oder `HL7CompoundType.PQ`).
      See Also:
        Constant Field Values

    - #### INCLUSIVE

          public static final String INCLUSIVE

      Gibt an, ob ein Wert zu einem Intervall gehört.
      See Also:
        `HL7CompoundType.BOUNDED`, `HL7CompoundType.INTERVAL`, Constant Field Values

    - #### LOW

          public static final String LOW

      Untere Grenze eines Intervalls (`HL7CompoundType.INTERVAL`) - vom Typ `HL7CompoundType.BOUNDED`.
      See Also:
        Constant Field Values

    - #### HIGH

          public static final String HIGH

      Obere Grenze eines Intervalls (`HL7CompoundType.INTERVAL`) - vom Typ `HL7CompoundType.BOUNDED`.
      See Also:
        Constant Field Values

    - #### NUMERATOR

          public static final String NUMERATOR

      Zähler eines Bruchs.
      See Also:
        `HL7CompoundType.RATIO`, Constant Field Values

    - #### DENOMINATOR

          public static final String DENOMINATOR

      Nenner eines Bruchs.
      See Also:
        `HL7CompoundType.RATIO`, Constant Field Values

    - #### UNIT

          public static final String UNIT

      Einheit in einem Wert/Einheit-Paar (z.B. g, ml,...)
      See Also:
        `HL7CompoundType.PQ`, Constant Field Values

    - #### CODE

          public static final String CODE

      Codewert eines Codes.
      See Also:
        `HL7CompoundType.CODE`, Constant Field Values

    - #### CODE_SYSTEM

          public static final String CODE_SYSTEM

      Codierungssystem eines Codes.
      See Also:
        `HL7CompoundType.CODE`, Constant Field Values

    - #### DISPLAY_NAME

          public static final String DISPLAY_NAME

      Anzeigename eines Codes.
      See Also:
        `HL7CompoundType.CODE`, Constant Field Values

    - #### CODE_SYSTEM_NAME

          public static final String CODE_SYSTEM_NAME

      Anzeigename eines Codierungssystems.
      See Also:
        `HL7CompoundType.CODE`, Constant Field Values

    - #### CODE_SYSTEM_VERSION

          public static final String CODE_SYSTEM_VERSION

      Version eines Codierungssystems.
      See Also:
        `HL7CompoundType.CODE`, Constant Field Values

  - ### Constructor Detail

    - #### HL7ChildRoleType

          public HL7ChildRoleType()